================================
pyplusplus.code_creators package
================================

--------
Overview
--------

.. automodule:: pyplusplus.code_creators
    :members:
    :undoc-members:
    :show-inheritance:

--------
Modules
--------

algorithm
---------

.. automodule:: pyplusplus.code_creators.algorithm
    :members:
    :undoc-members:
    :show-inheritance:

array_1_registrator
-------------------

.. automodule:: pyplusplus.code_creators.array_1_registrator
    :members:
    :undoc-members:
    :show-inheritance:

bookmark
--------

.. automodule:: pyplusplus.code_creators.bookmark
    :members:
    :undoc-members:
    :show-inheritance:

calldef
-------

.. automodule:: pyplusplus.code_creators.calldef
    :members:
    :undoc-members:
    :show-inheritance:

calldef_ctypes
--------------

.. automodule:: pyplusplus.code_creators.calldef_ctypes
    :members:
    :undoc-members:
    :show-inheritance:

calldef_transformed
-------------------

.. automodule:: pyplusplus.code_creators.calldef_transformed
    :members:
    :undoc-members:
    :show-inheritance:

calldef_utils
-------------

.. automodule:: pyplusplus.code_creators.calldef_utils
    :members:
    :undoc-members:
    :show-inheritance:

class_declaration
-----------------

.. automodule:: pyplusplus.code_creators.class_declaration
    :members:
    :undoc-members:
    :show-inheritance:

code_creator
------------

.. automodule:: pyplusplus.code_creators.code_creator
    :members:
    :undoc-members:
    :show-inheritance:

compound
--------

.. automodule:: pyplusplus.code_creators.compound
    :members:
    :undoc-members:
    :show-inheritance:

ctypes_formatter
----------------

.. automodule:: pyplusplus.code_creators.ctypes_formatter
    :members:
    :undoc-members:
    :show-inheritance:

ctypes_integration_creators
---------------------------

.. automodule:: pyplusplus.code_creators.ctypes_integration_creators
    :members:
    :undoc-members:
    :show-inheritance:

custom
------

.. automodule:: pyplusplus.code_creators.custom
    :members:
    :undoc-members:
    :show-inheritance:

declaration_based
-----------------

.. automodule:: pyplusplus.code_creators.declaration_based
    :members:
    :undoc-members:
    :show-inheritance:

embedded_code_repository
------------------------

.. automodule:: pyplusplus.code_creators.embedded_code_repository
    :members:
    :undoc-members:
    :show-inheritance:

enum
----

.. automodule:: pyplusplus.code_creators.enum
    :members:
    :undoc-members:
    :show-inheritance:

exception_translator
--------------------

.. automodule:: pyplusplus.code_creators.exception_translator
    :members:
    :undoc-members:
    :show-inheritance:

global_variable
---------------

.. automodule:: pyplusplus.code_creators.global_variable
    :members:
    :undoc-members:
    :show-inheritance:

include
-------

.. automodule:: pyplusplus.code_creators.include
    :members:
    :undoc-members:
    :show-inheritance:

include_directories
-------------------

.. automodule:: pyplusplus.code_creators.include_directories
    :members:
    :undoc-members:
    :show-inheritance:

indexing_suites
---------------

.. automodule:: pyplusplus.code_creators.indexing_suites
    :members:
    :undoc-members:
    :show-inheritance:

instruction
-----------

.. automodule:: pyplusplus.code_creators.instruction
    :members:
    :undoc-members:
    :show-inheritance:

library_reference
-----------------

.. automodule:: pyplusplus.code_creators.library_reference
    :members:
    :undoc-members:
    :show-inheritance:

license
-------

.. automodule:: pyplusplus.code_creators.license
    :members:
    :undoc-members:
    :show-inheritance:

member_variable
---------------

.. automodule:: pyplusplus.code_creators.member_variable
    :members:
    :undoc-members:
    :show-inheritance:

module
------

.. automodule:: pyplusplus.code_creators.module
    :members:
    :undoc-members:
    :show-inheritance:

module_body
-----------

.. automodule:: pyplusplus.code_creators.module_body
    :members:
    :undoc-members:
    :show-inheritance:

namespace
---------

.. automodule:: pyplusplus.code_creators.namespace
    :members:
    :undoc-members:
    :show-inheritance:

name_mappings
-------------

.. automodule:: pyplusplus.code_creators.name_mappings
    :members:
    :undoc-members:
    :show-inheritance:

opaque_type_registrator
-----------------------

.. automodule:: pyplusplus.code_creators.opaque_type_registrator
    :members:
    :undoc-members:
    :show-inheritance:

properties
----------

.. automodule:: pyplusplus.code_creators.properties
    :members:
    :undoc-members:
    :show-inheritance:

registration_based
------------------

.. automodule:: pyplusplus.code_creators.registration_based
    :members:
    :undoc-members:
    :show-inheritance:

scoped
------

.. automodule:: pyplusplus.code_creators.scoped
    :members:
    :undoc-members:
    :show-inheritance:

smart_pointers
--------------

.. automodule:: pyplusplus.code_creators.smart_pointers
    :members:
    :undoc-members:
    :show-inheritance:

target_configuration
--------------------

.. automodule:: pyplusplus.code_creators.target_configuration
    :members:
    :undoc-members:
    :show-inheritance:

typedef_as_pyvar
----------------

.. automodule:: pyplusplus.code_creators.typedef_as_pyvar
    :members:
    :undoc-members:
    :show-inheritance:

unnamed_enum
------------

.. automodule:: pyplusplus.code_creators.unnamed_enum
    :members:
    :undoc-members:
    :show-inheritance:

